import 'dart:developer';

import 'package:flutter/material.dart';
import 'package:multiavatar/multiavatar.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'MultiAvatar exemple',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'MultiAvatar Exemple'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  TextEditingController _controller = TextEditingController();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            FloatingActionButton(
              onPressed: () {
                ///The svg code
                log(multiavatar(DateTime.now().toIso8601String()));
                setState(() {
                  _controller.text =
                      multiavatar(DateTime.now().toIso8601String());
                });
              },
              tooltip: 'Generate',
              child: Icon(Icons.gesture),
            ),
            SizedBox(height: 20),
            TextField(
              controller: _controller,
              decoration: InputDecoration(
                border: InputBorder.none,
                filled: true,
              ),
              maxLines: 20,
            )
          ],
        ),
      ),
    );
  }
}
